Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAQP2

    java.lang.Object
      org.netlib.lapack.SLAQP2

    public class SLAQP2

extends java.lang.Object

    SLAQP2 is a simplified interface to the JLAPACK routine slaqp2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAQP2 computes a QR factorization with column pivoting of
     *  the block A(OFFSET+1:M,1:N).
     *  The block A(1:OFFSET,1:N) is accordingly pivoted, but not factorized.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A. N >= 0.
     *
     *  OFFSET  (input) INTEGER
     *          The number of rows of the matrix A that must be pivoted
     *          but no factorized. OFFSET >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the M-by-N matrix A.
     *          On exit, the upper triangle of block A(OFFSET+1:M,1:N) is
     *          the triangular factor obtained; the elements in block
     *          A(OFFSET+1:M,1:N) below the diagonal, together with the
     *          array TAU, represent the orthogonal matrix Q as a product of

     *          elementary reflectors. Block A(1:OFFSET,1:N) has been
     *          accordingly pivoted, but no factorized.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,M).
     *
     *  JPVT    (input/output) INTEGER array, dimension (N)
     *          On entry, if JPVT(i) .ne. 0, the i-th column of A is permuted
     *          to the front of A*P (a leading column); if JPVT(i) = 0,
     *          the i-th column of A is a free column.
     *          On exit, if JPVT(i) = k, then the i-th column of A*P
     *          was the k-th column of A.
     *
     *  TAU     (output) REAL array, dimension (min(M,N))
     *          The scalar factors of the elementary reflectors.
     *
     *  VN1     (input/output) REAL array, dimension (N)
     *          The vector with the partial column norms.
     *
     *  VN2     (input/output) REAL array, dimension (N)
     *          The vector with the exact column norms.
     *
     *  WORK    (workspace) REAL array, dimension (N)
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *    G. Quintana-Orti, Depto. de Informatica, Universidad Jaime I, Spain
     *    X. Sun, Computer Science Dept., Duke University, USA
     *
     *  Partial column norm updating strategy modified by
     *    Z. Drmac and Z. Bujanovic, Dept. of Mathematics,
     *    University of Zagreb, Croatia.
     *    June 2006.
     *  For more details see LAPACK Working Note 176.
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAQP2()`

Method Summary
`static void` | `SLAQP2(int m, int n, int offset, float[][] a, int[] jpvt, float[] tau, float[] vn1, float[] vn2, float[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAQP2

    public SLAQP2()

Method Detail

### SLAQP2

    public static void SLAQP2(int m,
                              int n,
                              int offset,
                              float[][] a,
                              int[] jpvt,
                              float[] tau,
                              float[] vn1,
                              float[] vn2,
                              float[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD